%define upstream_name    Config-Crontab
%define upstream_version 1.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Read/Write Vixie compatible crontab(5) files 
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SC/SCOTTW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Simple Time and Date module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README example
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.450.0-5.mga10
+ Revision: 2203536
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.450.0-4.mga9
+ Revision: 1808583
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.450.0-3.mga8
+ Revision: 1503585
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.450.0-2.mga7
+ Revision: 1282306
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 1.450.0-1.mga7
+ Revision: 1132690
- update to 1.45
- update to 1.45

* Sat Jun 18 2016 pterjan <pterjan> 1.400.0-5.mga6
+ Revision: 1024285
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.400.0-4.mga6
+ Revision: 940186
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-3.mga5
+ Revision: 748831
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.400.0-2.mga5
+ Revision: 683975
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.400.0-1.mga5
+ Revision: 587453
- update to 1.40

* Fri Oct 18 2013 umeabot <umeabot> 1.330.0-3.mga4
+ Revision: 510171
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.330.0-2.mga3
+ Revision: 364610
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 13 2011 jquelin <jquelin> 1.330.0-1.mga1
+ Revision: 84283
- update to 1.33

* Thu Jan 20 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 25952
- mageia rebuild
- imported package perl-Config-Crontab

